Bug 254006 - libtidy breaks php-tidy after yum update
libtidy breaks php-tidy after yum update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-extras (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 11:58 EDT by Alexander Dorfmeister
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 07:10:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
php tidy crash log (8.98 KB, text/plain)
2007-08-23 11:58 EDT, Alexander Dorfmeister
no flags Details

  None (edit)
Description Alexander Dorfmeister 2007-08-23 11:58:25 EDT
Description of problem:

by installing libtidy-0.99.0-12.20070228.fc6.1 php-tidy-5.1.6-4.fc6 is broken.

Version-Release number of selected component (if applicable):
php-tidy.i386 5.1.6-4.fc6
libtidy.i386 0.99.0-12.20070228.fc6.1

How reproducible:

install the version of php, tidy as written

Steps to Reproduce:
1. enable tidy support in php
2. on system prompt: php -r '$x = new tidy();'
3.
  
Actual results:

crash, see attached file

Expected results:

no output, no errors

Additional info:

we installed 
libtidy.i386 0.99.0-11.20051025.fc6
and excluded libtidy from yum update and things works like expected again.

actually we had lots of errors in httpd_error.log:

FATAL:  emalloc():  Unable to allocate -2120202764 bytes
FATAL:  emalloc():  Unable to allocate -2119874028 bytes
FATAL:  emalloc():  Unable to allocate -2119907604 bytes
FATAL:  emalloc():  Unable to allocate -2119810820 bytes
FATAL:  emalloc():  Unable to allocate -2119908876 bytes
FATAL:  emalloc():  Unable to allocate -2119908876 bytes
FATAL:  emalloc():  Unable to allocate -2119908828 bytes
FATAL:  emalloc():  Unable to allocate -2120102068 bytes
FATAL:  emalloc():  Unable to allocate -2115655396 bytes
FATAL:  emalloc():  Unable to allocate -2119908420 bytes
FATAL:  emalloc():  Unable to allocate -2119908548 bytes
FATAL:  emalloc():  Unable to allocate -2120226292 bytes
FATAL:  emalloc():  Unable to allocate -2119892404 bytes
FATAL:  emalloc():  Unable to allocate -2120980348 bytes
FATAL:  emalloc():  Unable to allocate -2119908684 bytes
FATAL:  emalloc():  Unable to allocate -2120201900 bytes
FATAL:  emalloc():  Unable to allocate -2120226572 bytes
Comment 1 Alexander Dorfmeister 2007-08-23 11:58:25 EDT
Created attachment 169265 [details]
php tidy crash log
Comment 2 Rex Dieter 2007-08-23 12:03:54 EDT
Hrm, didn't notice any change in binary compatibility.  drat.

Since it's hard(er) to revoke updates, perhaps another option to try rebuilding
php-extras against the newer tidy.  (reassigning -> php-extras)
Comment 3 Rex Dieter 2007-08-23 12:08:30 EDT
Dmitry, what do you think?
Comment 4 Dmitry Butskoy 2007-08-24 09:35:20 EDT
Just rebuilt php-extras for FC6 . It uses newest libtidy-0.99.0-12.20070228.fc6.1

All 18 tests are OK...

see build.log at:
http://buildsys.fedoraproject.org/logs/fedora-6-extras/35846-php-extras-5.1.6-4.fc6/i386/

Seems not a php issue for me.
Comment 5 Alexander Dorfmeister 2007-08-28 02:49:10 EDT
dose 

php -r '$x=new tidy();'

work for you?
Comment 6 Dmitry Butskoy 2007-08-28 07:33:52 EDT
Cannot say, since I'm no more use FC6 now.

But the php-tidy tests no. 7 and 13 have similar constructions (see in php
source, ext/tidy/tests/007.phpt and etx/tidy/tests/php13.phpt). The difference
with your case is just non-empty argument list...
Comment 7 Dmitry Butskoy 2007-11-06 07:10:19 EST
It seems the issue is no more actual?

Since FC6 reaches its EOL, I close it. feel free to re-open if needed...

Note You need to log in before you can comment on or make changes to this bug.